/**
 * \file EspaceUS.h
 * Classe de gestion d'une matrice d'unsigned short.
 * 
 * @author Nicolas Janey
 * @author nicolas.janey@univ-fcomte.fr
 * @version 1.0, 01/01/10
 */

#ifndef ____ESPACEUS____
#define ____ESPACEUS____

/**
 * \class EspaceUS
 * Classe de gestion d'une matrice d'unsigned short.
 * 
 * @author Nicolas Janey
 * @author nicolas.janey@univ-fcomte.fr
 * @version 1.0, 01/01/10
 */

class EspaceUS {

  public :
    int dx ;
    int dy ;
    unsigned short **p ;

  public :
    EspaceUS(int dx,int dy) ;
    EspaceUS(EspaceUS *dd) ;
    ~EspaceUS(void) ;
    void init(unsigned char v) ;
    unsigned short cherche(int x,int y) ;
    void sauve(unsigned short c,int x,int y) ;
    long getUsedMemory(void);
    int getUsedHandles(void);
} ;

#endif
